Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.urls
Class CustomXYURLGenerator

    java.lang.Object
      org.jfree.chart.urls.CustomXYURLGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, XYURLGenerator, org.jfree.util.PublicCloneable

    public class CustomXYURLGenerator

extends java.lang.Object
implements XYURLGenerator, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A custom URL generator.

See Also:
  Serialized Form

Constructor Summary
`CustomXYURLGenerator()` Default constructor.

Method Summary
`void` | `addURLSeries(java.util.List urls)` Adds a list of URLs.
`java.lang.Object` | `clone()` Returns a new generator that is a copy of, and independent from, this generator.
`boolean` | `equals(java.lang.Object obj)` Tests this generator for equality with an arbitrary object.
`java.lang.String` | `generateURL(XYDataset dataset, int series, int item)` Generates a URL.
`int` | `getListCount()` Returns the number of URL lists stored by the renderer.
`java.lang.String` | `getURL(int series, int item)` Returns the URL for an item.
`int` | `getURLCount(int list)` Returns the number of URLs in a given list.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomXYURLGenerator

    public CustomXYURLGenerator()

  Default constructor.

Method Detail

### getListCount

    public int getListCount()

  Returns the number of URL lists stored by the renderer.

  Returns:
    The list count.

### getURLCount

    public int getURLCount(int list)

  Returns the number of URLs in a given list.

  Parameters:
    `list` - the list index (zero based).
  Returns:
    The URL count.

### getURL

    public java.lang.String getURL(int series,
                                   int item)

  Returns the URL for an item.

  Parameters:
    `series` - the series index.
    `item` - the item index.
  Returns:
    The URL (possibly `null`).

### generateURL

    public java.lang.String generateURL(XYDataset dataset,
                                        int series,
                                        int item)

  Generates a URL.

  Specified by:
    `generateURL` in interface `XYURLGenerator`
  Parameters:
    `dataset` - the dataset.
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    A string containing the URL (possibly `null`).

### addURLSeries

    public void addURLSeries(java.util.List urls)

  Adds a list of URLs.

  Parameters:
    `urls` - the list of URLs (`null` permitted, the list is copied).

### equals

    public boolean equals(java.lang.Object obj)

  Tests this generator for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a new generator that is a copy of, and independent from, this generator.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if there is a problem with cloning.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.